Public Member Functions | Public Attributes | Friends | List of all members
GreatWksTextInternal::PLC Struct Reference

Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone. More...

## Public Member Functions
| PLC ()
| the constructor More...

## Public Attributes
PLCType | m_type
| the PLC types More...
int | m_id
| the id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone.

## Constructor & Destructor Documentation

## ◆ PLC()

GreatWksTextInternal::PLC::PLC | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |
| friend

operator<<

Referenced by PLC(), and GreatWksTextInternal::Token::Token().

## Member Data Documentation

## ◆ m_extra

std::string GreatWksTextInternal::PLC::m_extra

extra data

Referenced by GreatWksTextInternal::operator<<(), and GreatWksText::readZonePositions().

## ◆ m_id

int GreatWksTextInternal::PLC::m_id

the id

Referenced by GreatWksTextInternal::operator<<(), GreatWksText::readZone(), and GreatWksText::readZonePositions().

## ◆ m_type

PLCType GreatWksTextInternal::PLC::m_type

the PLC types

Referenced by GreatWksTextInternal::Token::getDTFormat(), GreatWksTextInternal::Zone::hasGraphics(), GreatWksTextInternal::Zone::isMain(), GreatWksTextInternal::operator<<(), GreatWksText::readZone(), GreatWksText::readZonePositions(), and GreatWksTextInternal::Token::sendTo().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx